Bullet Collision Detection & Physics Library: btKrylovSolver< MatrixX > Class Template Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Types | List of all members
btKrylovSolver< MatrixX > Class Template Referenceabstract

`#include <btKrylovSolver.h>`

Inheritance diagram for btKrylovSolver< MatrixX >:
[legend]

## Public Member Functions
| btKrylovSolver (int maxIterations, btScalar tolerance)
virtual | ~btKrylovSolver ()
virtual int | solve (MatrixX &A, TVStack &x, const TVStack &b, bool verbose=false)=0
virtual void | reinitialize (const TVStack &b)=0
virtual TVStack | sub (const TVStack &a, const TVStack &b)
virtual btScalar | squaredNorm (const TVStack &a)
virtual btScalar | norm (const TVStack &a)
virtual btScalar | dot (const TVStack &a, const TVStack &b)
virtual void | multAndAddTo (btScalar s, const TVStack &a, TVStack &result)
virtual TVStack | multAndAdd (btScalar s, const TVStack &a, const TVStack &b)
virtual void | setTolerance (btScalar tolerance)

## Public Attributes
int | m_maxIterations
btScalar | m_tolerance

## Private Types
typedef btAlignedObjectArray< btVector3 > | TVStack

## Detailed Description

template<class MatrixX>
class btKrylovSolver< MatrixX >

Definition at line 27 of file btKrylovSolver.h.

## Member Typedef Documentation

## ◆ TVStack

template<class MatrixX >

btAlignedObjectArray<btVector3> btKrylovSolver< MatrixX >::TVStack
| private

Definition at line 29 of file btKrylovSolver.h.

## Constructor & Destructor Documentation

## ◆ btKrylovSolver()

template<class MatrixX >

btKrylovSolver< MatrixX >::btKrylovSolver | ( | int | maxIterations,
|  | btScalar | tolerance )
| inline

Definition at line 34 of file btKrylovSolver.h.

## ◆ ~btKrylovSolver()

template<class MatrixX >

virtual btKrylovSolver< MatrixX >::~btKrylovSolver | ( |  | ) |
| inlinevirtual

Definition at line 39 of file btKrylovSolver.h.

## Member Function Documentation

## ◆ dot()

template<class MatrixX >

virtual btScalar btKrylovSolver< MatrixX >::dot | ( | const TVStack & | a,
|  | const TVStack & | b )
| inlinevirtual

Definition at line 76 of file btKrylovSolver.h.

## ◆ multAndAdd()

template<class MatrixX >

virtual TVStack btKrylovSolver< MatrixX >::multAndAdd | ( | btScalar | s,
|  | const TVStack & | a,
|  | const TVStack & | b )
| inlinevirtual

Definition at line 92 of file btKrylovSolver.h.

## ◆ multAndAddTo()

template<class MatrixX >

virtual void btKrylovSolver< MatrixX >::multAndAddTo | ( | btScalar | s,
|  | const TVStack & | a,
|  | TVStack & | result )
| inlinevirtual

Definition at line 84 of file btKrylovSolver.h.

## ◆ norm()

template<class MatrixX >

virtual btScalar btKrylovSolver< MatrixX >::norm | ( | const TVStack & | a | ) |
| inlinevirtual

Definition at line 63 of file btKrylovSolver.h.

## ◆ reinitialize()

template<class MatrixX >

virtual void btKrylovSolver< MatrixX >::reinitialize | ( | const TVStack & | b | ) |
| pure virtual

Implemented in btConjugateGradient< MatrixX >, btConjugateGradient< btDeformableBackwardEulerObjective >, btConjugateResidual< MatrixX >, and btConjugateResidual< btDeformableBackwardEulerObjective >.

## ◆ setTolerance()

template<class MatrixX >

virtual void btKrylovSolver< MatrixX >::setTolerance | ( | btScalar | tolerance | ) |
| inlinevirtual

Definition at line 102 of file btKrylovSolver.h.

## ◆ solve()

template<class MatrixX >

virtual int btKrylovSolver< MatrixX >::solve | ( | MatrixX & | A,
|  | TVStack & | x,
|  | const TVStack & | b,
|  | bool | verbose = false )
| pure virtual

Implemented in btConjugateGradient< MatrixX >, btConjugateGradient< btDeformableBackwardEulerObjective >, btConjugateResidual< MatrixX >, and btConjugateResidual< btDeformableBackwardEulerObjective >.

## ◆ squaredNorm()

template<class MatrixX >

virtual btScalar btKrylovSolver< MatrixX >::squaredNorm | ( | const TVStack & | a | ) |
| inlinevirtual

Definition at line 58 of file btKrylovSolver.h.

## ◆ sub()

template<class MatrixX >

virtual TVStack btKrylovSolver< MatrixX >::sub | ( | const TVStack & | a,
|  | const TVStack & | b )
| inlinevirtual

Definition at line 45 of file btKrylovSolver.h.

## Member Data Documentation

## ◆ m_maxIterations

template<class MatrixX >

int btKrylovSolver< MatrixX >::m_maxIterations

Definition at line 32 of file btKrylovSolver.h.

## ◆ m_tolerance

template<class MatrixX >

btScalar btKrylovSolver< MatrixX >::m_tolerance

Definition at line 33 of file btKrylovSolver.h.

The documentation for this class was generated from the following file:

- btKrylovSolver.h